/**************************************************************

File Name:	Vector_Maximum_test.asm
		
Date Modified:	2/11/99	RFG
				4/21/00 RFG		Fixed bugs for negative values and 
								for max value in location 0

Purpose:	Program to call Vector_Maximum.asm

**************************************************************/

#include    "def21364.h"

#define     N      40		/* number of elements in vectors */

.extern	vec_max;

/* DM data */
.section/dm seg_dmda;
.ALIGN 2;
.var    INPUT[N+2] = "indata.dat";
.ALIGN 2;
.var    MAX_VAL[2];
.ALIGN 2;
.var    MAX_INDEX[2];


/* PM interrupt vector code */
.section/pm   seg_rth;
Reserved_1:     rti; nop; nop; nop;
Chip_Reset:     idle; jump start; nop; nop;


/* program memory code */
.section/pm seg_pmco;

start:

/*-------------- Setup DAGs for input/output and call cx_vec_mult ------------*/
	r1 = N/4;
	
	call vec_max (db);
	b0 = INPUT;					/* initialize pointer */
	l0 = 0;						/* initialize modulo addressing control registers */
	
	dm(MAX_VAL)=f4;
    dm(MAX_INDEX)=f2;
/*----------------------------------------------------------------------------*/



/* Terminate and wait */
wait1:  idle;
		jump wait1;
